javax.ejb

## Class EJBTransactionRolledbackException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - javax.ejb.EJBException
        - - javax.ejb.EJBTransactionRolledbackException

- All Implemented Interfaces:
    Serializable

      public class EJBTransactionRolledbackException
      extends EJBException

  This exception is thrown to a remote client to indicate that the transaction associated with processing of the request has been rolled back, or marked to roll back. Thus the requested operation either could not be performed or was not performed because further computation on behalf of the transaction would be fruitless.
  Since:
    EJB 2.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EJBTransactionRolledbackException()` Constructs an EJBTransactionRolledbackException with no detail message.
    `EJBTransactionRolledbackException(String message)` Constructs an EJBTransactionRolledbackException with the specified detailed message.
    `EJBTransactionRolledbackException(String message, Exception ex)` Constructs an EJBTransactionRolledbackException with the specified detail message and a nested exception.

  - ### Method Summary

    - ### Methods inherited from class javax.ejb.EJBException

      `getCausedByException`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EJBTransactionRolledbackException

          public EJBTransactionRolledbackException()

      Constructs an EJBTransactionRolledbackException with no detail message.

    - #### EJBTransactionRolledbackException

          public EJBTransactionRolledbackException(String message)

      Constructs an EJBTransactionRolledbackException with the specified detailed message.

    - #### EJBTransactionRolledbackException

          public EJBTransactionRolledbackException(String message,
                                           Exception ex)

      Constructs an EJBTransactionRolledbackException with the specified detail message and a nested exception.

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.